angular.module('sdbgui')
    .controller('LicenseController', ['slashDB', '$window', function (slashdb, $window) {
        var ctrl = this;

        this.licFile = null;
        this.licLoaded = false;
        this.alert = '';

        this.uploadLicense = function () {
            this.alert = '';
            slashdb.uploadLicense(ctrl.licFile)
                .then(function (response) {
                    $window.location.reload();

                    // refresh slashDB.settings
                    slashdb.setupSettings();
                })
                .catch(function (response) {
                    ctrl.alert = response.headers('Warning');
                });
        };
    }]);